package kernel

import (
	"os"
	"testing"
	"wartank/pkg/types"
)

// Тестер для базового объекта приложения
type tester struct {
	t    *testing.T
	kern types.ИЯдро
}

func TestKernel(t *testing.T) {
	test := &tester{
		t: t,
	}
	test.create()
	_ = os.RemoveAll("./log")
}

// Создание базового объекта
func (сам *tester) create() {
	сам.t.Logf("create\n")
	сам.kern = НовЯдро()
	if сам.kern == nil {
		сам.t.Errorf("create(): kernel==nil\n")
	}
	if wg := сам.kern.Wg(); wg == nil {
		сам.t.Errorf("create(): wg==nil\n")
	}
	if ctx := сам.kern.Контекст(); ctx == nil {
		сам.t.Errorf("create(): ctx==nil\n")
	}
	if slog := сам.kern.Слог(); slog == nil {
		сам.t.Errorf("create(): slog==nil\n")
	}
	сам.kern.Отменить()
}
